Add an SSH or GPG authentication key to a user
post
Authorizations
defguard_sessionstringRequired
Path parameters
usernamestringRequired
Name of the user.
Body
keystringRequired
key_typestring · enumRequiredPossible values:
namestringRequired
Responses
201
Authentication key added.
No content
400
Invalid key.
application/json
401
Session is missing or invalid.
application/json
403
Requires admin privileges or the request must target your own account.
application/json
404
User not found.
application/json
500
Unable to add authentication key.
application/json
post/api/v1/user/{username}/auth_key
POST /api/v1/user/{username}/auth_key HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 45
{
"key": "text",
"key_type": "ssh",
"name": "text"
}No content
Last updated
Was this helpful?